<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Buzz_Agency
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php	the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		
		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				buzz_agency_posted_on();
				buzz_agency_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php buzz_agency_post_thumbnail(); ?>

	<div class="entry-content">
	 	<?php 
	    the_excerpt();
		$archive_section_button_text = get_theme_mod('buzz_agency_archive_submit',esc_html__('Read More','buzz-agency') );
		$readmore_option_archive = get_theme_mod('buzz_agency_archive_section_redmore_optons',0);
		if($readmore_option_archive == '1'): ?>
			<?php if($archive_section_button_text){ ?>
				<a href="<?php the_permalink(); ?>" class="box-button" ><?php echo esc_html($archive_section_button_text); ?><span></span></a>
			<?php } ?>
		<?php endif;   ?>
	</div><!-- .entry-content -->



	<footer class="entry-footer">
		<?php buzz_agency_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
